/* EODatabaseContext-LargeArrayFaults.m created by toon on Thu 17-Feb-2000 */

#import "EODatabaseContext-LargeArrayFaults.h"
#import "EOAccessLargeArrayFaultHandler.h"

@implementation EODatabaseContext (LargeArrayFaults)

- (NSArray *)arrayFaultWithSourceGlobalID:(EOGlobalID *)globalID relationshipName:(NSString *)name editingContext:(EOEditingContext *)context;
{
    NSMutableArray *result;
    EOAccessLargeArrayFaultHandler *handler;

    // UNDONE: Here you could figure out what the relationship is and maybe look at an extra key in the model to see whether it is a 'small' relationship that should use the normal EOF stuff, or a 'large' relationship where this new handler would be worthwhile to avoid extra fetches.

    handler = [[EOAccessLargeArrayFaultHandler alloc] initWithSourceGlobalID:(EOKeyGlobalID *)globalID relationshipName:name databaseContext:self editingContext:context];

    result = [NSMutableArray array];
    [EOFault makeObjectIntoFault:result withHandler:handler];
    return result;
}

@end
