/* EOFault-LargeArrayFaults.m created by toon on Thu 17-Feb-2000 */

#import "EOFault-LargeArrayFaults.h"
#import "EOAccessLargeArrayFaultHandler.h"

@implementation EOFault (LargeArrayFaults)

- (void)addObject:anObject;
{
    if ([_handler isKindOfClass:[EOAccessLargeArrayFaultHandler class]])
        [(EOAccessLargeArrayFaultHandler *)_handler addObject:anObject];
    else {
        [EOFault clearFault:self];
        [self addObject:anObject];
    }
}

- (void)removeObject:anObject;
{
    if ([_handler isKindOfClass:[EOAccessLargeArrayFaultHandler class]])
        [(EOAccessLargeArrayFaultHandler *)_handler removeObject:anObject];
    else {
        [EOFault clearFault:self];
        [self removeObject:anObject];
    }
}

@end
